XMMS2D(1)

NAME
xmms2d is the XMMS2 daemon which handles the playback of music and storage of music metadata.

SYNOPSIS
xmms2d [ -vqn ] [ -? / --help ] [ -V / --version ] [ -p plugin_path / --plugindir= plugin_path ] [ -o output_plugin / --output= output_plugin ] [ -c path_to_config_file / --conf= path_to_config_file ] [ -s fd / --status-fd= fd ]

DESCRIPTION
XMMS2 is a redesign of the XMMS (http://www.xmms.org) music player. It features a client-server model, allowing multiple (even simultaneous!) user interfaces, both textual and graphical. All common audio formats are supported using plugins. On top of this, there is a flexible media library to organise your music.

xmms2d is the daemon through which XMMS2 clients playback and manage music. A client library provided allows third parties to easily write XMMS2 clients, especially using the Python and Ruby bindings.

xmms2d uses a three part method to playback music. Music is accessed from disk or network using a transport plugin, the data is then passed on to a decoder plugin which decodes the audio into a form that can be played back by an output plugin.

xmms2d includes command line options to change the way in which the daemon functions.

These options are currently recognised:

-v  Increases the vebosity of xmms2d

-q  Decrease the verbosity of xmms2d

-V | --version
    Returns the XMMS2 version

-? | --help
    Displays basic help information for xmms2d

-n | --no-logging
    Disables logging

-o output_plugin | --output=output_plugin
    Specifies a different output plugin to use in place of the default

-p plugin_path | --plugindir=plugin_path
    Specifies a different plugin directory path than the default

-c path_to_config_file | --conf=path_to_config_file
    Specifies a path to an alternative configuration file

-s fd | --status-fd=fd
    Specifies a file descriptor to write to when started

IPC SOCKET
XMMS2 clients uses IPC sockets to communicate with xmms2d. These IPC sockets are specified in a URL based format with three possible transport methods: unix, tcp, and tcp6.

The TCP methods allow clients to connect over IPv4 and IPv6 to xmms2d and therefore allow remote control of XMMS2.

A typical IPC socket path using TCP would be:
    tcp://127.0.0.1:9667

The UNIX transport method is for local clients only and creates a file through which XMMS2 clients can access xmms2d.

A typical IPC socket path using the UNIX transport would be:
    unix:///tmp/xmms-ipc-foobar

FILES

$HOME/.config/xmms2/medialib.db or $XDG_CONFIG_HOME/xmms2/medialib.db
    An sqlite3 database that includes information about each song that has been added to the XMMS2 media library

$HOME/.config/xmms2/xmms2.conf or $XDG_CONFIG_HOME/xmms2/xmms2.conf
    An XML formatted configuration file that allows you to change the default settings of xmms2d

$HOME/.config/xmms2/startup.d or $XDG_CONFIG_HOME/xmms2/startup.d
    A directory populated with programs that run when xmms2d is executed

$HOME/.config/xmms2/shutdown.d or $XDG_CONFIG_HOME/xmms2/shutdown.d
    A directory populated with programs that run when xmms2d is shutdown correctly

/tmp/xmms-ipc-USER
    The typical location for the UNIX IPC Socket. USER is the name of the user that executed xmms2d.

ENVIRONMENTAL VARIABLES

XDG_CONFIG_HOME
    The path where the xmms2 configuration files and resources are located

SEE ALSO
xmms2(1), xmms2-launcher(1), http://xmms2.xmms.org

HISTORY
The XMMS2 Project was started by Tobias Rundström and Anders Gustafsson. It is developed with their lead by a small group of contributers from all over the world.

AUTHOR
This manual page was written by Alexander Botero-Lowry <alex@foxybanana.com>